Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface ITextEditorExtension

All Known Implementing Classes:
  AbstractTextEditor

public interface ITextEditorExtension

Extension interface for `ITextEditor`. Adds the following functions:

- status fields
- read-only state of the editor's input
- ruler context menu listeners.

Since:
  2.0

Method Summary
`void` | `addRulerContextMenuListener(IMenuListener listener)` Adds a ruler context menu listener to the editor.
`boolean` | `isEditorInputReadOnly()` Returns whether the editor's input is read-only.
`void` | `removeRulerContextMenuListener(IMenuListener listener)` Removes a ruler context menu listener from the editor.
`void` | `setStatusField(IStatusField field, String category)` Informs the editor which status field is to be used when posting status information in the given category.

Method Detail

### setStatusField

    public void setStatusField(IStatusField field,
                               String category)

  Informs the editor which status field is to be used when posting status information in the given category.

  Parameters:
    `field` - the status field to be used
    `category` - the status information category
  See Also:
    `ITextEditorActionConstants`

### isEditorInputReadOnly

    public boolean isEditorInputReadOnly()

  Returns whether the editor's input is read-only. The semantics of this method is orthogonal to `isEditable` as it talks about the editor input, i.e. the domain element, and not about the editor document.

  Returns:
    `true` if the editor input is read-only

### addRulerContextMenuListener

    public void addRulerContextMenuListener(IMenuListener listener)

  Adds a ruler context menu listener to the editor.

  Parameters:
    `listener` - the listener

### removeRulerContextMenuListener

    public void removeRulerContextMenuListener(IMenuListener listener)

  Removes a ruler context menu listener from the editor.

  Parameters:
    `listener` - the listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.